#include <stdarg.h>
#include <signal.h>
#include <stdint.h>
#include <sys/time.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include <ctype.h>
#include <time.h>
#include <stdint.h>
#include <linux/watchdog.h>


int main(int argc, char *argv[])
{
	int c=0;
	int fd;
	int tout=0;
	for (;;) {
		c = getopt( argc, argv, "c:t:h");
		if (c == EOF) break;

		switch (c) {
			case 'c':
				
				break;
			case 't':
				tout=atoi(optarg);
				goto tout_process;
				break;
			case 'h': 
			default:
				//show_usage();
				exit(1);
		}
	}


tout_process:
	fd=open("/dev/watchdog", O_RDONLY);
	if(fd < 0)
	{
		printf("open /dev/watchdog file fail!!\n");
		return -1;
	}
	printf("set timeout time %ds\n", tout);
	fflush(stdout);
	ioctl(fd, WDIOC_SETTIMEOUT, &tout);
	
return 0;	
}
